Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě čte: 315 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum

NápovědaCAD diskuze

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit a dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

iLogic formaty listov

 Odpovědět Odpovědět archiv
Autor
DM1 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 14.čer.2015
Lokalita: Slovakia
Používám:
Inventor
Stav: Offline
Bodů: 26
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace DM1 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: iLogic formaty listov
    Zasláno: 26.úno.2017 v 16:56
Dobry den, potreboval by som poradit s vytvorenim pravidla pre zmenu formatu vykresoveho listu ( na odporucanie zo starej temy som to riesil cez iLogic) a vyzera to asi takto : 

trigger = iTrigger0

Vyber_formatu = InputListBox("Formaty", MultiValue.List("Vyber_formatu"), Vyber_formatu, Title := "Formaty", ListName := "Vyber")



If Vyber_formatu = "OramA0" Then
ActiveSheet.ChangeSize("A0", MoveBorderItems := True)
ActiveSheet.Border = "OramA0"
ElseIf Vyber_formatu = "OramA1" Then ActiveSheet.ChangeSize("A1", MoveBorderItems := True) ActiveSheet.Border = "OramA1"
ElseIf Vyber_formatu = "OramA2" Then
ActiveSheet.ChangeSize("A2", MoveBorderItems := True) ActiveSheet.Border = "OramA2"


ElseIf Vyber_formatu = "OramA3" Then
ActiveSheet.ChangeSize("A3", MoveBorderItems := True) ActiveSheet.Border = "OramA3"
ElseIf Vyber_formatu = "OramA4" Then
ActiveSheet.ChangeSize("A4", MoveBorderItems := True) ActiveSheet.Border = "OramA4"
End If




Je to aj funkcne no potrebujem tam pridat aj podmienku pre zmenu orientacie listu kedze mi ho stale zobrazuje na vysku, a tuto funkciu neviem najst. Vopred dakujem.



Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 16270
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 26.úno.2017 v 18:13
Viz vlastnost Orientation a kompletní iLogic kód v příbuzném tipu 9798.
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
raspi Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 20.úno.2009
Lokalita: ČR (HK)
Používám:
AutoCAD Mechanical, VariCAD, Inventor, Solidworks
Stav: Offline
Bodů: 171
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace raspi Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 27.úno.2017 v 07:04
Takto to mám já.


oMyParameter=ThisApplication.ActiveDocument.Parameters.UserParameters
Try
Parameter("FORMAT") = Parameter("FORMAT")
Catch
oParameter = oMyParameter.AddByValue("FORMAT", "A3", UnitsTypeEnum.kTextUnits)
MultiValue.SetList("FORMAT", "A0", "A1", "A2", "A3", "A4")
End Try
Parameter("FORMAT") = InputListBox("Zvolte formát výkresu.", MultiValue.List("FORMAT"), Parameter("FORMAT"), Title := "Formát výkresu", ListName := "Vyberte formát:")
ActiveSheet.ChangeSize(Parameter("FORMAT"),MoveBorderItems := True)
RuleParametersOutput()
InventorVb.DocumentUpdate()
If Parameter("FORMAT") = "A4" Then
ThisApplication.ActiveDocument.ActiveSheet.Orientation = 10243 'Portrait
Else
ThisApplication.ActiveDocument.ActiveSheet.Orientation = 10242 'Landscape
End If
ThisApplication.ActiveView.Fit    'tento poslední řádek udělá na zoom vše

If Parameter("FORMAT") = "A4" Then
ActiveSheet.Border = "A4"
End If

If Parameter("FORMAT") = "A3" Then
ActiveSheet.Border = "A3"
End If

If Parameter("FORMAT") = "A2" Then
ActiveSheet.Border = "A2"
End If

If Parameter("FORMAT") = "A1" Then
ActiveSheet.Border = "A1"
End If

If Parameter("FORMAT") = "A0" Then
ActiveSheet.Border = "A0"
End If

Zpět nahoru
DM1 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 14.čer.2015
Lokalita: Slovakia
Používám:
Inventor
Stav: Offline
Bodů: 26
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace DM1 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 04.bře.2017 v 19:33
Dakujem, vyskusam. VIP niesom.
Zpět nahoru
DM1 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 14.čer.2015
Lokalita: Slovakia
Používám:
Inventor
Stav: Offline
Bodů: 26
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace DM1 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 04.bře.2017 v 20:59
Takze som sa pokusil to nejak kombinovat a vysledok je takyto : 

trigger = iTrigger0

Vyber_formatu = InputListBox("Formaty", MultiValue.List("Vyber_formatu"), Vyber_formatu, Title := "Formaty", ListName := "Vyber")


If Parameter("Vyber_formatu") = "A4" Then
ThisApplication.ActiveDocument.ActiveSheet.Orientation = 10243 
Else
ThisApplication.ActiveDocument.ActiveSheet.Orientation = 10242 
End If
ThisApplication.ActiveView.Fit   


If Vyber_formatu = "Oram A0" Then
ActiveSheet.ChangeSize("A0", MoveBorderItems := True)
ActiveSheet.Border = "Oram A0"
ElseIf Vyber_formatu = "Oram A1" Then
ActiveSheet.ChangeSize("A1", MoveBorderItems := True) ActiveSheet.Border = "Oram A1"
ElseIf Vyber_formatu = "Oram A2" Then
ActiveSheet.ChangeSize("A2", MoveBorderItems := True) ActiveSheet.Border = "Oram A2"
ElseIf Vyber_formatu = "Oram A3" Then
ActiveSheet.ChangeSize("A3", MoveBorderItems := True) ActiveSheet.Border = "Oram A3"
ElseIf Vyber_formatu = "Oram A4" Then
ActiveSheet.ChangeSize("A4", MoveBorderItems := True) ActiveSheet.Border = "Oram A4"
End If
Problem nastava teraz pri formate A4 pri ktorom mi to vyhodi chybu:
Nesprávny parameter. (Exception from HRESULT: 0x80070057 (E_INVALIDARG))

Edit: 
Pouzil som cely Vas kod a funguje to lepsie takze dakujem!


Upravil DM1 - 05.bře.2017 v 23:11
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 9798:VIPiLogic pravidlo pro automatické směrování tisku (formát/tiskárna).
Tip 8975:VIPAutomatické přepínání tiskárny podle formátu výkresu - iLogic.
Tip 10851:iLogic - jak ve výkresu zpracovat materiál a cestu součásti?
Tip 8631:Mluvící iLogic pravidlo pro kontrolu materiálu součásti Inventoru (výchozí materiál).
Tip 9476:Ukládání DWG kopie IDW výkresu pojmenované podle revize.
Tip 8717:Jak ve výkresu zobrazit těžiště podsestavy?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,406 sekund.